# Update custom package type by id

Products
            Plans
          
        
        
          
            
              
              Formerly ShipEngine
            
            
              Free
              Advanced
              Enterprise
            
          
          
            
              
            
            
              Free
              Starter
              Standard
              Premium
            
          
        
      
      
        
          Learn about products and plans
          
        
      
    

Update the custom package type object by ID

Endpoint: PUT /v2/packages/{package_id}
Version: 2.0.0
Security: api_keys

## Path parameters:

  - `package_id` (string, required)
    Package ID
    Example: "se-28529731"

## Request fields (application/json):

  - `package_id` (string)
    A string that uniquely identifies the package.
    Example: "se-28529731"

  - `package_code` (string, required)
    A [package type] , such as thick_envelope, small_flat_rate_box, large_package, etc.  Use the code package for custom or unknown package types.
    Example: "small_flat_rate_box"

  - `name` (string, required)
    Example: "laptop_box"

  - `dimensions` (object)
    The custom dimensions for the package.

  - `dimensions.unit` (string, required)
    Dimension unit
    Enum: "inch", "centimeter"

  - `dimensions.length` (number, required)
    The length of the package, in the specified unit
    Example: 2

  - `dimensions.width` (number, required)
    The width of the package, in the specified unit
    Example: 2

  - `dimensions.height` (number, required)
    The height of the package, in the specified unit
    Example: 1

  - `description` (string,null)
    Provides a helpful description for the custom package.
    Example: "Packaging for laptops"

## Response 400 fields (application/json):

  - `request_id` (string, required)
    A UUID that uniquely identifies the request id.
This can be given to the support team to help debug non-trivial issues that may occur
    Example: "aa3d8e8e-462b-4476-9618-72db7f7b7009"

  - `errors` (array, required)
    The errors associated with the failed API call

  - `errors.error_source` (string, required)
    The source of the error, as indicated by the name this informs us if the API call failed because of the
carrier, the order source, the ShipStation API itself, or the underlying ShipEngine platform.
    Enum: "carrier", "order_source", "ShipStation", "shipengine"

  - `errors.error_type` (string, required)
    The type of error
    Enum: "account_status", "business_rules", "validation", "security", "system", "integrations"

  - `errors.error_code` (string, required)
    The error code specified for the failed API Call
    Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned"

  - `errors.message` (string, required)
    An error message associated with the failed API call
    Example: "Body of request cannot be null."

  - `errors.field_name` (string)
    The name of the field that caused the error (only present for validation errors)
    Example: "inventory_warehouse_id"

  - `errors.field_value` (string)
    The invalid value that was provided for the field (only present for validation errors)
    Example: "invalid-id"


